Skip to main content
GET
/
stream
/
{id}
/
clips
TypeScript
import { Livepeer } from "livepeer";

const livepeer = new Livepeer({
  apiKey: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await livepeer.stream.getClips("<id>");

  // Handle the result
  console.log(result);
}

run();
[
  {
    "id": "09F8B46C-61A0-4254-9875-F71F4C605BC7",
    "source": {
      "type": "url",
      "url": "<string>",
      "gatewayUrl": "<string>",
      "encryption": "<unknown>"
    },
    "name": "filename.mp4",
    "type": "video",
    "playbackId": "eaw4nk06ts2d0mzb",
    "userId": "66E2161C-7670-4D05-B71D-DA2D6979556F",
    "playbackUrl": "https://livepeercdn.com/asset/ea03f37e-f861-4cdd-b495-0e60b6d753ad/index.m3u8",
    "downloadUrl": "https://livepeercdn.com/asset/eaw4nk06ts2d0mzb/video/download.mp4",
    "playbackPolicy": {
      "type": "webhook",
      "webhookId": "1bde4o2i6xycudoy",
      "webhookContext": {
        "streamerId": "my-custom-id"
      },
      "refreshInterval": 600,
      "allowedOrigins": [
        "<string>"
      ]
    },
    "creatorId": {
      "type": "unverified",
      "value": "user123"
    },
    "profiles": [
      {
        "bitrate": 3000000,
        "width": 1280,
        "name": "720p",
        "height": 720,
        "quality": 23,
        "fps": 30,
        "fpsDen": 1,
        "gop": 2,
        "profile": "H264Baseline",
        "encoder": "H.264"
      }
    ],
    "storage": {
      "ipfs": {
        "spec": {},
        "nftMetadata": {
          "cid": "<string>",
          "url": "<string>",
          "gatewayUrl": "<string>"
        },
        "updatedAt": 1587667174725
      },
      "status": {
        "phase": "ready",
        "tasks": {
          "pending": "09F8B46C-61A0-4254-9875-F71F4C605BC7",
          "last": "09F8B46C-61A0-4254-9875-F71F4C605BC7",
          "failed": "09F8B46C-61A0-4254-9875-F71F4C605BC7"
        },
        "progress": 0.5,
        "errorMessage": "Failed to update storage"
      }
    },
    "status": {
      "phase": "uploading",
      "updatedAt": 1587667174725,
      "progress": 123,
      "errorMessage": "<string>"
    },
    "projectId": "aac12556-4d65-4d34-9fb6-d1f0985eb0a9",
    "createdAt": 1587667174725,
    "createdByTokenName": "<string>",
    "size": 84934509,
    "hash": [
      {
        "hash": "9b560b28b85378a5004117539196ab24e21bbd75b0e9eb1a8bc7c5fd80dc5b57",
        "algorithm": "sha256"
      }
    ],
    "videoSpec": {
      "format": "mp4",
      "duration": 23.8328,
      "bitrate": 1000000,
      "tracks": [
        {
          "type": "video",
          "codec": "aac",
          "startTime": 23.8238,
          "duration": 23.8238,
          "bitrate": 1000000,
          "width": 1920,
          "height": 1080,
          "pixelFormat": "yuv420p",
          "fps": 30,
          "channels": 2,
          "sampleRate": 44100,
          "bitDepth": 16
        }
      ]
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://na-36-docs-v2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the parent stream or playbackId of parent stream

Response

Success

id
string
required
read-only
Example:

"09F8B46C-61A0-4254-9875-F71F4C605BC7"

source
object
required
name
string
required

The name of the asset. This is not necessarily the filename - it can be a custom name or title.

Example:

"filename.mp4"

type
enum<string>

Type of the asset.

Available options:
video,
audio
Example:

"video"

playbackId
string

The playback ID to use with the Playback Info endpoint to retrieve playback URLs.

Example:

"eaw4nk06ts2d0mzb"

userId
string
deprecated
read-only
Example:

"66E2161C-7670-4D05-B71D-DA2D6979556F"

playbackUrl
string
read-only

URL for HLS playback. It is recommended to not use this URL, and instead use playback IDs with the Playback Info endpoint to retrieve the playback URLs - this URL format is subject to change (e.g. https://livepeercdn.com/asset/ea03f37e-f861-4cdd-b495-0e60b6d753ad/index.m3u8).

Example:

"https://livepeercdn.com/asset/ea03f37e-f861-4cdd-b495-0e60b6d753ad/index.m3u8"

downloadUrl
string
read-only

The URL to directly download the asset, e.g. https://livepeercdn.com/asset/eawrrk06ts2d0mzb/video. It is not recommended to use this for playback.

Example:

"https://livepeercdn.com/asset/eaw4nk06ts2d0mzb/video/download.mp4"

playbackPolicy
object

Whether the playback policy for an asset or stream is public or signed

creatorId
object
profiles
object[]

Requested profiles for the asset to be transcoded into. Configured on the upload APIs payload or through the stream.recordingSpec field for recordings. If not specified, default profiles are derived based on the source input. If this is a recording, the source will not be present in this list but will be available for playback.

storage
object
status
object
read-only

Status of the asset

projectId
string

The ID of the project

Example:

"aac12556-4d65-4d34-9fb6-d1f0985eb0a9"

createdAt
number
read-only

Timestamp (in milliseconds) at which asset was created

Example:

1587667174725

createdByTokenName
string
read-only

Name of the token used to create this object

size
number
read-only

Size of the asset in bytes

Example:

84934509

hash
object[] | null

Hash of the asset

videoSpec
object
read-only

Video metadata

Last modified on April 11, 2026